## hyprland-plugins 0.52.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)
project(hyprland-plugins
    VERSION 0.51.0
    DESCRIPTION "Official plugins for Hyprland"
    LANGUAGES CXX
)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_subdirectory(borders-plus-plus)
add_subdirectory(csgo-vulkan-fix)
add_subdirectory(hyprbars)
add_subdirectory(hyprexpo)
add_subdirectory(hyprfocus)
add_subdirectory(hyprscrolling)
add_subdirectory(hyprtrails)
add_subdirectory(hyprwinwrap)
add_subdirectory(xtra-dispatchers)

=== hyprscrolling/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

project(hyprscrolling
    DESCRIPTION "hyprscrolling plugin for Hyprland"
    VERSION 0.1
)

set(CMAKE_CXX_STANDARD 23)

file(GLOB_RECURSE SRC "*.cpp")

add_library(hyprscrolling SHARED ${SRC})

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET
    hyprland
    libdrm
    libinput
    libudev
    pangocairo
    pixman-1
    wayland-server
    xkbcommon
)
target_link_libraries(hyprscrolling PRIVATE rt PkgConfig::deps)

install(TARGETS hyprscrolling)

=== debian/changelog ===
hyprland-plugins (0.52.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1118695)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 19 Nov 2025 09:32:01 +0100

## hyprland-plugins 0.53.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 cmake_minimum_required(VERSION 3.27)
 project(hyprland-plugins
-    VERSION 0.51.0
     DESCRIPTION "Official plugins for Hyprland"
     LANGUAGES CXX
 )

=== borders-plus-plus/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

project(borders-plus-plus
    DESCRIPTION "borders-plus-plus plugin for Hyprland"
    VERSION 0.1
)

set(CMAKE_CXX_STANDARD 23)

file(GLOB_RECURSE SRC "*.cpp")

add_library(borders-plus-plus SHARED ${SRC})

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET
    hyprland
    libdrm
    libinput
    libudev
    pangocairo
    pixman-1
    wayland-server
    xkbcommon
)
target_link_libraries(borders-plus-plus PRIVATE rt PkgConfig::deps)

install(TARGETS borders-plus-plus)

=== borders-plus-plus/Makefile ===
# Else exist specifically for clang
ifeq ($(CXX),g++)
    EXTRA_FLAGS = --no-gnu-unique
else
    EXTRA_FLAGS =
endif

all:
	$(CXX) -shared -fPIC $(EXTRA_FLAGS) main.cpp borderDeco.cpp BorderppPassElement.cpp -o borders-plus-plus.so -g `pkg-config --cflags pixman-1 libdrm hyprland pangocairo libinput libudev wayland-server xkbcommon` -std=c++2b -O2

clean:
	rm ./borders-plus-plus.so

=== csgo-vulkan-fix/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

project(csgo-vulkan-fix
    DESCRIPTION "csgo-vulkan-fix plugin for Hyprland"
    VERSION 0.1
)

set(CMAKE_CXX_STANDARD 23)

file(GLOB_RECURSE SRC "*.cpp")

add_library(csgo-vulkan-fix SHARED ${SRC})

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET
    hyprland
    libdrm
    libinput
    libudev
    pangocairo
    pixman-1
    wayland-server
    xkbcommon
)
target_link_libraries(csgo-vulkan-fix PRIVATE rt PkgConfig::deps)

install(TARGETS csgo-vulkan-fix)

=== csgo-vulkan-fix/Makefile ===
# Else exist specifically for clang
ifeq ($(CXX),g++)
    EXTRA_FLAGS = --no-gnu-unique
else
    EXTRA_FLAGS =
endif

all:
	$(CXX) -shared -fPIC $(EXTRA_FLAGS) main.cpp -o csgo-vulkan-fix.so -g `pkg-config --cflags pixman-1 libdrm hyprland pangocairo libinput libudev wayland-server xkbcommon` -std=c++2b -O2
clean:
	rm ./csgo-vulkan-fix.so

=== hyprbars/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

project(hyprbars
    DESCRIPTION "hyprbars plugin for Hyprland"
    VERSION 0.1
)

set(CMAKE_CXX_STANDARD 23)

file(GLOB_RECURSE SRC "*.cpp")

add_library(hyprbars SHARED ${SRC})

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET
    hyprland
    libdrm
    libinput
    libudev
    pangocairo
    pixman-1
    wayland-server
    xkbcommon
)
target_link_libraries(hyprbars PRIVATE rt PkgConfig::deps)

install(TARGETS hyprbars)

=== hyprbars/Makefile ===
# Else exist specifically for clang
ifeq ($(CXX),g++)
    EXTRA_FLAGS = --no-gnu-unique
else
    EXTRA_FLAGS =
endif

CXXFLAGS = -shared -fPIC -g -std=c++2b -Wno-c++11-narrowing
INCLUDES = `pkg-config --cflags pixman-1 libdrm hyprland pangocairo libinput libudev wayland-server xkbcommon`
LIBS = `pkg-config --libs pangocairo`

SRC = main.cpp barDeco.cpp BarPassElement.cpp
TARGET = hyprbars.so

all: $(TARGET)

$(TARGET): $(SRC)
	$(CXX) $(CXXFLAGS) $(EXTRA_FLAGS) $(INCLUDES) $^ $> -o $@ $(LIBS) -O2

clean:
	rm ./$(TARGET)

meson-build:
	mkdir -p build
	cd build && meson .. && ninja

.PHONY: all meson-build clean

=== hyprexpo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

project(hyprexpo
    DESCRIPTION "hyprexpo plugin for Hyprland"
    VERSION 0.1
)

set(CMAKE_CXX_STANDARD 23)

file(GLOB_RECURSE SRC "*.cpp")

add_library(hyprexpo SHARED ${SRC})

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET
    hyprland
    libdrm
    libinput
    libudev
    pangocairo
    pixman-1
    wayland-server
    xkbcommon
)
target_link_libraries(hyprexpo PRIVATE rt PkgConfig::deps)

install(TARGETS hyprexpo)

=== hyprexpo/Makefile ===
# Else exist specifically for clang
ifeq ($(CXX),g++)
    EXTRA_FLAGS = --no-gnu-unique
else
    EXTRA_FLAGS =
endif

all:
	$(CXX) -shared -fPIC $(EXTRA_FLAGS) main.cpp overview.cpp ExpoGesture.cpp OverviewPassElement.cpp -o hyprexpo.so -g `pkg-config --cflags pixman-1 libdrm hyprland pangocairo libinput libudev wayland-server xkbcommon` -std=c++2b -Wno-narrowing
clean:
	rm ./hyprexpo.so

=== hyprfocus/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

project(hyprfocus
    DESCRIPTION "flashfocus for Hyprland"
    VERSION 0.1
)

set(CMAKE_CXX_STANDARD 23)

file(GLOB_RECURSE SRC "*.cpp")

add_library(hyprfocus SHARED ${SRC})

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET
    hyprland
    libdrm
    libinput
    libudev
    pangocairo
    pixman-1
    wayland-server
    xkbcommon
)
target_link_libraries(hyprfocus PRIVATE rt PkgConfig::deps)

install(TARGETS hyprfocus)

=== hyprfocus/Makefile ===
# Else exist specifically for clang
ifeq ($(CXX),g++)
    EXTRA_FLAGS = --no-gnu-unique
else
    EXTRA_FLAGS =
endif

all:
	$(CXX) -shared -fPIC $(EXTRA_FLAGS) main.cpp -o hyprfocus.so -g `pkg-config --cflags pixman-1 libdrm hyprland pangocairo libinput libudev wayland-server xkbcommon` -std=c++2b -O2
clean:
	rm ./hyprfocus.so

=== hyprscrolling/Makefile ===
# Else exist specifically for clang
ifeq ($(CXX),g++)
    EXTRA_FLAGS = --no-gnu-unique
else
    EXTRA_FLAGS =
endif


all:
	$(CXX) -shared -fPIC $(EXTRA_FLAGS) main.cpp Scrolling.cpp -o hyprscrolling.so -g `pkg-config --cflags pixman-1 libdrm hyprland pangocairo libinput libudev wayland-server xkbcommon` -std=c++2b
clean:
	rm ./hyprscrolling.so

=== debian/changelog ===
hyprland-plugins (0.53.0-1) unstable; urgency=medium

  * New upstream version 0.53.0
  * Drop upstreamed patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Feb 2026 10:41:23 +0800

=== debian/control ===
Source: hyprland-plugins
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 hyprland-dev (>= 0.52),
 libdrm-dev,
 libinput-dev,
 libudev-dev,
 libpango1.0-dev,
 libcairo2-dev,
 libpixman-1-dev,
 libwayland-dev,
 libxkbcommon-dev,
 libhyprgraphics-dev,
 libhyprutils-dev,
 libhyprlang-dev,
 libaquamarine-dev,
 libgles2-mesa-dev,
 libxcb-icccm4-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprland-plugins
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprland-plugins
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprland-plugins.git

Package: hyprland-plugin-borders-plus-plus
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding static extra window borders
 Extends Hyprland window decoration handling by adding one or two fixed outer
 borders to provide additional border layers.

Package: hyprland-plugin-csgo-vulkan-fix
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin setting custom Vulkan resolutions per application
 Enables running applications at user-defined resolutions independent of native
 display size.

Package: hyprland-plugin-hyprbars
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding configurable title bars to windows
 Implements customizable title bars with button support, color options, and
 window management actions.

Package: hyprland-plugin-hyprexpo
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin providing an overview workspace switcher
 Displays all workspaces in a grid layout with gesture and keybind control,
 similar to GNOME or KDE overviews.

Package: hyprland-plugin-hyprfocus
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin for window focus animations
 Adds configurable visual effects that trigger on window focus events, including
 flash, bounce, or slide animations with adjustable parameters.

Package: hyprland-plugin-hyprscrolling
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding a scrolling window layout
 Provides a dynamic horizontal scrolling layout with adjustable column sizes
 and focus behavior.
 .
 Note: This plugin is experimental and under development.

Package: hyprland-plugin-hyprtrails
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding motion trails to windows
 Implements a rendering effect that produces persistent trails during window
 movement or dragging.

Package: hyprland-plugin-hyprwinwrap
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin emulating xwinwrap
 Allows embedding applications as animated or interactive wallpapers with
 configurable window size and position.

Package: hyprland-plugin-xtra-dispatchers
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin with additional dispatcher commands
 Adds extra commands and scripting hooks to Hyprland’s IPC, allowing
 automation and control beyond the core dispatcher API.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_gencontrol:
	. /usr/lib/$(DEB_HOST_MULTIARCH)/hyprland/debian-abi-helper && \
	dh_gencontrol -- \
		"-Vhyprland:ABI=$${HYPRLAND_ABI}" \
		"-Vhyprland:API=$${HYPRLAND_API}"

=== debian/watch ===
Version: 5

Template: GitHub
Owner: hyprwm
Project: hyprland-plugins
